package com.ruoyi.ems.domain;

import java.util.Date;
import java.util.List;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 能源设施告警对象 adm_op_alarm
 *
 * @author ruoyi
 * @date 2024-08-26
 */
public class AdmOpAlarm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 园区代码 */
    @Excel(name = "园区代码")
    private String areaCode;

    /** 对象类型 */
    @Excel(name = "对象类型")
    private Integer objType;

    @Excel(name = "子系统")
    private String subSystemName;

    private String systemCode;

    /** 对象代码 */
    @Excel(name = "对象代码")
    private String objCode;

    @Excel(name = "对象名称")
    private String objName;

    /** 告警日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "告警日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date alarmDate;

    /** 告警时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "告警时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date alarmTime;

    /** 告警代码 */
    @Excel(name = "告警代码")
    private String alarmCode;

    /** 告警描述 */
    @Excel(name = "告警描述")
    private String alarmMsg;

    /** 告警类型 */
    @Excel(name = "告警类型")
    private Integer alarmType;

    /** 告警状态 */
    @Excel(name = "告警状态")
    private Integer alarmState;

    private List<Integer> alarmStateList;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setAreaCode(String areaCode)
    {
        this.areaCode = areaCode;
    }

    public String getAreaCode()
    {
        return areaCode;
    }
    public void setObjType(Integer objType)
    {
        this.objType = objType;
    }

    public Integer getObjType()
    {
        return objType;
    }
    public void setObjCode(String objCode)
    {
        this.objCode = objCode;
    }

    public String getObjCode()
    {
        return objCode;
    }
    public void setAlarmDate(Date alarmDate)
    {
        this.alarmDate = alarmDate;
    }

    public Date getAlarmDate()
    {
        return alarmDate;
    }
    public void setAlarmTime(Date alarmTime)
    {
        this.alarmTime = alarmTime;
    }

    public Date getAlarmTime()
    {
        return alarmTime;
    }
    public void setAlarmCode(String alarmCode)
    {
        this.alarmCode = alarmCode;
    }

    public String getAlarmCode()
    {
        return alarmCode;
    }
    public void setAlarmMsg(String alarmMsg)
    {
        this.alarmMsg = alarmMsg;
    }

    public String getAlarmMsg()
    {
        return alarmMsg;
    }
    public void setAlarmType(Integer alarmType)
    {
        this.alarmType = alarmType;
    }

    public Integer getAlarmType()
    {
        return alarmType;
    }
    public void setAlarmState(Integer alarmState)
    {
        this.alarmState = alarmState;
    }

    public Integer getAlarmState()
    {
        return alarmState;
    }

    public String getSubSystemName() {
        return subSystemName;
    }

    public void setSubSystemName(String subSystemName) {
        this.subSystemName = subSystemName;
    }

    public String getSystemCode() {
        return systemCode;
    }

    public void setSystemCode(String systemCode) {
        this.systemCode = systemCode;
    }

    public List<Integer> getAlarmStateList() {
        return alarmStateList;
    }

    public void setAlarmStateList(List<Integer> alarmStateList) {
        this.alarmStateList = alarmStateList;
    }

    public String getObjName() {
        return objName;
    }

    public void setObjName(String objName) {
        this.objName = objName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaCode", getAreaCode())
            .append("objType", getObjType())
            .append("objCode", getObjCode())
            .append("alarmDate", getAlarmDate())
            .append("alarmTime", getAlarmTime())
            .append("alarmCode", getAlarmCode())
            .append("alarmMsg", getAlarmMsg())
            .append("alarmType", getAlarmType())
            .append("alarmState", getAlarmState())
            .toString();
    }
}
